Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl.util
Class GenctlResourceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.common.notify.impl.NotifierImpl
              org.eclipse.emf.ecore.resource.impl.ResourceImpl
                  org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
                      com.ssaglobal.generator.genctl.util.GenctlResourceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.resource.Resource, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.xmi.XMLResource

    public class GenctlResourceImpl

extends org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl

The Resource associated with the package.

See Also:
  `GenctlResourceFactoryImpl`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`org.eclipse.emf.ecore.resource.impl.ResourceImpl.ContentsEList, org.eclipse.emf.ecore.resource.impl.ResourceImpl.ModificationTrackingAdapter`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.xmi.XMLResource
`org.eclipse.emf.ecore.xmi.XMLResource.ResourceHandler, org.eclipse.emf.ecore.xmi.XMLResource.XMLInfo, org.eclipse.emf.ecore.xmi.XMLResource.XMLMap`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.resource.Resource
`org.eclipse.emf.ecore.resource.Resource.Diagnostic, org.eclipse.emf.ecore.resource.Resource.Factory, org.eclipse.emf.ecore.resource.Resource.Internal, org.eclipse.emf.ecore.resource.Resource.IOWrappedException`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
`DETACHED_EOBJECT_TO_ID_MAP, domHandler, encoding, eObjectToExtensionMap, eObjectToIDMap, idToEObjectMap, publicId, systemId, useZip, xmlVersion`

Fields inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`contents, defaultLoadOptions, defaultSaveOptions, errors, intrinsicIDToEObjectMap, isLoaded, isLoading, isModified, modificationTrackingAdapter, resourceSet, uri, warnings`

Fields inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, EDELIVER, eFlags, ELAST_NOTIFIER_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.xmi.XMLResource
`HREF, NIL, NO_NAMESPACE_SCHEMA_LOCATION, OPTION_ANY_SIMPLE_TYPE, OPTION_ANY_TYPE, OPTION_CONFIGURATION_CACHE, OPTION_DECLARE_XML, OPTION_DEFER_ATTACHMENT, OPTION_DEFER_IDREF_RESOLUTION, OPTION_DISABLE_NOTIFY, OPTION_DOM_USE_NAMESPACES_IN_SCOPE, OPTION_ENCODING, OPTION_EXTENDED_META_DATA, OPTION_FLUSH_THRESHOLD, OPTION_FORMATTED, OPTION_KEEP_DEFAULT_CONTENT, OPTION_LAX_FEATURE_PROCESSING, OPTION_LINE_WIDTH, OPTION_PARSER_FEATURES, OPTION_PARSER_PROPERTIES, OPTION_PROCESS_DANGLING_HREF, OPTION_PROCESS_DANGLING_HREF_DISCARD, OPTION_PROCESS_DANGLING_HREF_RECORD, OPTION_PROCESS_DANGLING_HREF_THROW, OPTION_RECORD_ANY_TYPE_NAMESPACE_DECLARATIONS, OPTION_RECORD_UNKNOWN_FEATURE, OPTION_RESOURCE_HANDLER, OPTION_SAVE_DOCTYPE, OPTION_SAVE_TYPE_INFORMATION, OPTION_SCHEMA_LOCATION, OPTION_SCHEMA_LOCATION_IMPLEMENTATION, OPTION_SKIP_ESCAPE, OPTION_SKIP_ESCAPE_URI, OPTION_USE_CACHED_LOOKUP_TABLE, OPTION_USE_DEPRECATED_METHODS, OPTION_USE_ENCODED_ATTRIBUTE_STYLE, OPTION_USE_FILE_BUFFER, OPTION_USE_LEXICAL_HANDLER, OPTION_USE_PARSER_POOL, OPTION_USE_XML_NAME_TO_FEATURE_MAP, OPTION_XML_MAP, OPTION_XML_OPTIONS, OPTION_XML_VERSION, SCHEMA_LOCATION, TYPE, XML_NS, XML_SCHEMA_URI, XSI_NS, XSI_URI`

Fields inherited from interface org.eclipse.emf.ecore.resource.Resource
`OPTION_CIPHER, OPTION_ZIP, RESOURCE__CONTENTS, RESOURCE__ERRORS, RESOURCE__IS_LOADED, RESOURCE__IS_MODIFIED, RESOURCE__IS_TRACKING_MODIFICATION, RESOURCE__RESOURCE_SET, RESOURCE__URI, RESOURCE__WARNINGS`

Constructor Summary
`GenctlResourceImpl(org.eclipse.emf.common.util.URI uri)` Creates an instance of the resource

Method Summary

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLResourceImpl
`assignIDsWhileLoading, attachedHelper, createXMLHelper, createXMLLoad, createXMLSave, detachedHelper, doLoad, doLoad, doLoad, doSave, doSave, doUnload, getDefaultLoadOptions, getDefaultSaveOptions, getDOMHelper, getEncoding, getEObjectByID, getEObjectToExtensionMap, getEObjectToIDMap, getID, getIDToEObjectMap, getPublicId, getSystemId, getURIFragment, getXMLVersion, init, isAttachedDetachedHelperRequired, isPath, load, load, save, save, setDoctypeInfo, setEncoding, setID, setUseZip, setXMLVersion, toKeyString, useIDAttributes, useIDs, useUUIDs, useZip`

Methods inherited from class org.eclipse.emf.ecore.resource.impl.ResourceImpl
`addModificationTrackingAdapters, attached, basicSetResourceSet, createModificationTrackingAdapter, detached, getAllContents, getAllProperContents, getAllProperContents, getContents, getDefaultURIConverter, getEObject, getEObject, getEObjectForURIFragmentRootSegment, getErrors, getIntrinsicIDToEObjectMap, getResourceSet, getURI, getURIConverter, getURIFragmentRootSegment, getWarnings, isContentZipEntry, isLoaded, isLoading, isModified, isTrackingModification, load, load, mergeMaps, newContentZipEntry, removeModificationTrackingAdapters, save, save, setIntrinsicIDToEObjectMap, setLoaded, setModified, setTrackingModification, setURI, toString, unload, unloaded`

Methods inherited from class org.eclipse.emf.common.notify.impl.NotifierImpl
`eAdapters, eBasicAdapters, eDeliver, eSetDeliver`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.resource.Resource
`getAllContents, getContents, getEObject, getErrors, getResourceSet, getURI, getWarnings, isLoaded, isModified, isTrackingModification, load, load, save, save, setModified, setTrackingModification, setURI, unload`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Constructor Detail

### GenctlResourceImpl

    public GenctlResourceImpl(org.eclipse.emf.common.util.URI uri)

  Creates an instance of the resource.

  Parameters:
    `uri` - the URI of the new resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD